Bug 1735655 (CVE-2015-9289) - CVE-2015-9289 kernel: out of bound read in DVB connexant driver.
Summary: CVE-2015-9289 kernel: out of bound read in DVB connexant driver.
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-9289
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1735656 1737277 1737278 1737279 1737280 1737281 1753279
Blocks: 1735657
TreeView+ depends on / blocked
 
Reported: 2019-08-01 08:12 UTC by Dhananjay Arunesh
Modified: 2020-03-31 22:35 UTC (History)
50 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the Linux kernel’s CX24116 tv-card driver, where an out of bounds read occurs when checking userspace params in drivers/media/dvb-frontends/cx24116.c. An attacker could use this flaw to leak kernel private information to userspace.
Clone Of:
Environment:
Last Closed: 2020-03-31 22:35:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1016 None None None 2020-03-31 19:12:00 UTC
Red Hat Product Errata RHSA-2020:1070 None None None 2020-03-31 19:21:08 UTC

Description Dhananjay Arunesh 2019-08-01 08:12:56 UTC
A vulnerability was found in Linux Kernel, an out-of-bounds read occurs when checking userspace params in drivers/media/dvb-frontends/cx24116.c. The maximum size for a DiSEqC command is 6, according to the userspace API. However, the code allows larger values such as 23.


This was originally classfied as a buffer-overflow but it is not.  It has been reclassified as a possible information leak.

Reference:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1fa2337a315a2448c5434f41e00d56b01a22283c
https://github.com/torvalds/linux/commit/1fa2337a315a2448c5434f41e00d56b01a22283c
https://mirrors.edge.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.1.4

Comment 1 Dhananjay Arunesh 2019-08-01 08:13:28 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1735656]

Comment 2 Justin M. Forbes 2019-08-01 12:46:10 UTC
This was fixed in stable kernel 4.1.4 and has never impacted any currently supported Fedora release.

Comment 5 Wade Mealing 2019-08-02 07:33:23 UTC
Statement: 

This flaw requires a Conexant CX24116 series TV-media card to be in the system for this driver to load.  This flaw is when an attacker attempts to use the card to communicate with a satellite tv control subsystem ( via Digital Satellite Equipment Control command) by issuing a specially crafted ioctl to the device.

Comment 6 Wade Mealing 2019-08-05 01:02:08 UTC
This flaw is rated as moderate because this attack vector could allow a local attacker to leak kernel-internal information to  userspace.

Comment 12 Wade Mealing 2019-12-09 05:36:46 UTC
Note to any customers following along:

I had originally misundertood this flaw, I apologise for any confusion.  The impact and description has been modified to reflect my new understanding of this issue.

Comment 13 errata-xmlrpc 2020-03-31 19:11:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1016 https://access.redhat.com/errata/RHSA-2020:1016

Comment 14 errata-xmlrpc 2020-03-31 19:21:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1070 https://access.redhat.com/errata/RHSA-2020:1070

Comment 15 Product Security DevOps Team 2020-03-31 22:35:14 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2015-9289


Note You need to log in before you can comment on or make changes to this bug.